#include<bits/stdc++.h>
using namespace std;
#define MAXN 500007
#define ll long long
//int a[MAXN];
int solve(string s, int a, int b)
{
    if(abs(a-b)>1)
    {
        cout<<"nemoguce"<<endl;
    }
    else if(a==b)
    {
        for(int i=0;i<a;i++)
        {
            cout<<s[0]<<s[1];
        }
    }
    else if(a-b==1)
    {
        for(int i=0;i<b;i++)
        {
            cout<<s[0]<<s[1];
        }
        cout<<s[0];
    }
    else
    {
        for(int i=0;i<a;i++)
        {
            cout<<s[1]<<s[0];
        }
        cout<<s[1];
    }
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    string s;
    int a,b;
    cin>>s;
    cin>>a>>b;
    solve(s,a,b);
}